Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163547 - 2.6.12-1.1372_FC3 - flood of acpi_ev_gpe_dispatch errors
Summary: 2.6.12-1.1372_FC3 - flood of acpi_ev_gpe_dispatch errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 19:34 UTC by Michal Jaegermann
Modified: 2015-01-04 22:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-30 00:13:50 UTC


Attachments (Terms of Use)
dmesg output for a working 2.6.11-1.35_FC3smp kernel (deleted)
2005-07-18 19:34 UTC, Michal Jaegermann
no flags Details
dmidecode data for the board in question (deleted)
2005-07-18 19:36 UTC, Michal Jaegermann
no flags Details
'lscpi -tv ' output (deleted)
2005-07-18 19:37 UTC, Michal Jaegermann
no flags Details
compressed output from 'cat /proc/acpi/dsdt (deleted)
2005-07-18 19:40 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2005-07-18 19:34:39 UTC
Created attachment 116887 [details]
dmesg output for a working 2.6.11-1.35_FC3smp kernel

Comment 1 Michal Jaegermann 2005-07-18 19:34:39 UTC
Description of problem:

After getting into troubles with 2.6.12-1.1372_FC3smp (it does not work
as described in bug 163407 and bug 163437) I tried to boot one of machines
with 2.6.12-1.1372_FC3.  This did boot, very slowly, but I got flooded with
errors like that:

    ACPI-0686: *** Error: acpi_ev_gpe_dispatch: No handler or method for
GPE[20], disabling event
    ACPI-0686: *** Error: acpi_ev_gpe_dispatch: No handler or method for
GPE[21], disabling event
.....

and all of this seems to slow down a machine to a crawl.

Looking at logs these errors start to be recorded immediately after syslogd
is active and they come is a rate about forty per minute.  Indices for "GPE"
contnuously cycle in 0x20-0x3F range.  An output from dmesg was useless
because even before /var/log/dmesg was written it was already overrun by
error lines like the above.

Attached are dmesg output for a working 2.6.11-1.35_FC3smp kernel, an
output from dmidecode for the board, an output for 'lspci -tv' and 
whatever is in /proc/acpi/dsdt.  An output from that does not differ
between 2.6.11-1.35_FC3smp and 2.6.12-1.1372_FC3 kernels.

I am afraid that my access to this machine is somewhat limited and pretty
soon for quite a while I will be not able to get to it at all.

Version-Release number of selected component (if applicable):
2.6.12-1.1372_FC3

Comment 2 Michal Jaegermann 2005-07-18 19:36:08 UTC
Created attachment 116888 [details]
dmidecode data for the board in question

Comment 3 Michal Jaegermann 2005-07-18 19:37:35 UTC
Created attachment 116889 [details]
'lscpi -tv ' output

Comment 4 Michal Jaegermann 2005-07-18 19:40:04 UTC
Created attachment 116890 [details]
compressed output from 'cat /proc/acpi/dsdt

Comment 5 Michal Jaegermann 2005-07-18 19:48:52 UTC
I should add that the same 2.6.12-1.1372_FC3 kernel on different boards does
not show any acpi problems; but none of other boards where I could try that
happens to be SMP.

Comment 6 Michal Jaegermann 2005-08-29 18:28:59 UTC
I booted the machine in question with 2.6.12-1.1376_FC3smp (booting with
2.6.12-1.1372_FC3smp was not ever possible, even with an updated mkinitrd)
and so far it does not show any ill-effects.

An output from dmesg is very close to the one from 2.6.11-1.35_FC3smp.

Comment 7 Dave Jones 2005-08-30 00:13:50 UTC
ok, closing based on comment #6


Note You need to log in before you can comment on or make changes to this bug.